### Method

# GimpUi ColorProfileComboBox add_file

since: 2.10

#### Declaration [src]

    void
    gimp_color_profile_combo_box_add_file (
      GimpColorProfileComboBox* combo,
      GFile* file,
      const gchar* label
    )

#### Description [src]

This function delegates to the underlying `GimpColorProfileStore`. Please refer to the documentation of `gimp_color_profile_store_add_file()` for details.

Available since: 2.10

#### Parameters

`file`

  Type: `GFile`

  File of the profile to add (or `NULL`).

  The data is owned by the caller of the method.

`label`

  Type: `const gchar*`

  Label to use for the profile (may only be `NULL` if `file` is `NULL`).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.